<?php
//module/Secure/src/Secure/Model/Forgetpass.php

/**************
	Purpose: Set input filters and validations for forget password form.
	Author: Kevin Gyberg
	Date: 03/07/2012
*************/

namespace Login\Model;

use Zend\InputFilter\Factory as InputFactory;     // <-- Add this import
use Zend\InputFilter\InputFilter;                 // <-- Add this import
use Zend\InputFilter\InputFilterAwareInterface;   // <-- Add this import
use Zend\InputFilter\InputFilterInterface;        // <-- Add this import
use Zend\Validator\EmailAddress;

class Forgetpass implements InputFilterAwareInterface
{
	/**
     * Preparing the posted data to store in database.
     *
     * @param  $data(array) with arbitrary key values.
     */
    public function exchangeArray($data)
    {
        $this->first_name 
                = (isset($data['first_name'])) ? $data['first_name'] : null;
        $this->last_name = (isset($data['last_name'])) ? $data['last_name'] : null;
        $this->pass_word = (isset($data['pass_word'])) ? $data['pass_word'] : null;
        $this->email_address  
                = (isset($data['email_address'])) ? $data['email_address'] : null;
    }
	
	/**
     * Sets input filter.
     *
     * @param  InputFilterInterface $inputFilter
     * @throws \Exception
     */
    public function setInputFilter(InputFilterInterface $inputFilter)
    {
        throw new \Exception("Not used");
    }

	/**
     * Retrieve input filter. Associate validation to the input fields in register form.
	 * @return \Zend\InputFilter\InputFilterInterface
     */
    public function getInputFilter()
    {
		// check if inputFilter field is initialized
        if (!$this->inputFilter) {
            $inputFilter = new InputFilter();
            $factory     = new InputFactory();
			
			// add filter and validators to email address field.
			$inputFilter->add($factory->createInput(array(
                'name'     => 'email_address',
                'required' => true,
                'filters'  => array(
                    array('name' => 'StripTags'),
                    array('name' => 'StringTrim'),
                ),
                'validators' => array(
					array(
                      'name' =>'NotEmpty',
                        'options' => array(
                            'messages' => array(
                                \Zend\Validator\NotEmpty::IS_EMPTY 
                                                        => 'Please enter E-mail address.'
                            ),
                        ),
                    ),
					array(
                      'name' =>'EmailAddress',
                        'options' => array(
                            'messages' => array(
                                \Zend\Validator\EmailAddress::INVALID 
                                    => 'Please enter E-mail address on format abc@abc.com.'
                            ),
                        ),
                    ),
                ),
            )));

            $this->inputFilter = $inputFilter;
        }

        return $this->inputFilter;
    }
}