<?php

//module/Secure/src/Secure/Model/MyAuthStorage.php

/**************
	Purpose: Authentication global session storage for user logging into HTC
	Author: Kevin Gyberg
	Date: 03/07/2012
*************/

namespace Secure\Model;
use Zend\Authentication\Storage;

class MyAuthStorage extends Storage\Session
{
	/**
     * Sets remember me time to 1209600
     *
     * @param  $rememberMe(default 0) and time 1209600 secs.
     */
    public function setRememberMe($rememberMe = 0, $time = 1209600)
    {
		// check if remember me is active.
        if ($rememberMe == 1) {
            $this->session->getManager()->rememberMe($time);
        }
    }
    
	/**
     * clears data stored for remember me functionaity
     */
    public function forgetMe()
    {
        $this->session->getManager()->forgetMe();
    }
}