<?php
namespace Secure\Service;
use Zend\Mail;  
use Zend\Mime\Part as MimePart;  
use Zend\Mime\Message as MimeMessage; 

class SendEmailService
{	
	
	/**
     * Get an instance of usersTable by using service manager.
     *
     * @return service manager instance for users table.
     */
	function sendEmail($smtpOptions, $htmlBody, $subject, $fromName, $fromEmail, $to)
    {
					
        // set smtp options for sending email.
        $options = new Mail\Transport\SmtpOptions($smtpOptions);

        // make a header as html
        $html = new MimePart($htmlBody);
        $html->type = "text/html";
        $body = new MimeMessage();  
        $body->setParts(array($html,));

        // instance mail
        $mail = new Mail\Message();
        $mail->setBody($body); // will generate our code html from template.phtml  
        $mail->setFrom($fromEmail, $fromName);
        $mail->setTo($to);
        $mail->setSubject($subject);

        $transport = new Mail\Transport\Smtp($options);
        $transport->send($mail);
    }
}